OJTestRunnerTextParallel Class Reference

List of all members.

## Public Member Functions

(OJThread) | - firstAvailableThread`[implementation]`
(BOOL) | - hasWaited:since:`[implementation]`
(id) | - init`[implementation]`
(void) | - report`[implementation]`
(void) | - startWithArguments:`[implementation]`
(void) | - threadFinished:`[implementation]`
(BOOL) | - threadsAvailable`[implementation]`
(BOOL) | - threadsDone`[implementation]`

## Detailed Description

Definition at line 3 of file OJTestRunnerTextParallel.j.

## Member Function Documentation

- (OJThread) firstAvailableThread |  |  | `[implementation]`

Definition at line 77 of file OJTestRunnerTextParallel.j.

- (BOOL) hasWaited: |  | (CPNumber) | seconds
since: |  | (CPDate) | startTime
|  |  | `[implementation]`

Definition at line 113 of file OJTestRunnerTextParallel.j.

- (id) init |  |  | `[implementation]`

Definition at line 8 of file OJTestRunnerTextParallel.j.

- (void) report |  |  | `[implementation]`

Definition at line 99 of file OJTestRunnerTextParallel.j.

- (void) startWithArguments: |  | (CPArray) | args | `[implementation]`

Definition at line 29 of file OJTestRunnerTextParallel.j.

- (void) threadFinished: |  | (OJThread) | aThread | `[implementation]`

Definition at line 86 of file OJTestRunnerTextParallel.j.

- (BOOL) threadsAvailable |  |  | `[implementation]`

Definition at line 68 of file OJTestRunnerTextParallel.j.

- (BOOL) threadsDone |  |  | `[implementation]`

Definition at line 90 of file OJTestRunnerTextParallel.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestRunnerTextParallel.j

All Classes Files Functions Variables